Index: c/src/libnetworking/pppd/rtemsmain.c
===================================================================
--- c/src/libnetworking/pppd/rtemsmain.c	(revision ba7107616869bff7dc80627eab666fceb5ff4fb5)
+++ c/src/libnetworking/pppd/rtemsmain.c	(revision aee474b0cf18922c8b21ca56aae4067835c6a860)
@@ -107,6 +107,4 @@
 int kill_link;
 int open_ccp_flag;
-
-static int waiting;
 
 char **script_env;		/* Env. variable values for scripts */
@@ -234,6 +232,4 @@
 	setlogmask(LOG_UPTO(LOG_DEBUG));
     */
-
-    waiting = 0;
 
     do_callback = 0;
@@ -401,10 +397,8 @@
 	new_phase(PHASE_ESTABLISH);
 	while (phase != PHASE_DEAD) {
-	    waiting = 1;
    	    wait_input(timeleft(&timo));
-	    waiting = 0;
-
 	    calltimeout();
 	    get_input();
+
 	    if (kill_link) {
 		lcp_close(0, "User request");
@@ -470,7 +464,5 @@
 	    TIMEOUT(holdoff_end, NULL, t);
 	    do {
-	        waiting = 1;
    	        wait_input(timeleft(&timo));
-	        waiting = 0;
 
 		calltimeout();
